<nav class="navbar navbar-expand-lg navbar-light bg-light">
  <a class="navbar-brand" href="#">Angular</a>
  <button class="navbar-toggler" type="button" data-toggle="collapse" data-target="#navbarSupportedContent"
    aria-controls="navbarSupportedContent" aria-expanded="false" aria-label="Toggle navigation">
    <span class="navbar-toggler-icon"></span>
  </button>

  <div class="collapse navbar-collapse" id="navbarSupportedContent">
    <ul class="navbar-nav mr-auto">
      <li class="nav-item active">
        <a class="nav-link" routerLink="/">Home <span class="sr-only">(current)</span></a>
      </li>
      <li class="nav-item">
        <a class="nav-link" routerLink="/todos">To Dos</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" routerLink="/todos/add">Add To Do</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" routerLink="/cep/04305000">CEP</a>
      </li>
      <li class="nav-item">
        <a class="nav-link" routerLink="/cep">Buscar CEP</a>
      </li>
    </ul>
  </div>
</nav>

<div>
  <a routerLink="/">Home</a> | <a routerLink="/todos">To Dos</a> | <a routerLink="/cep/04305000">CEP</a> | <a routerLink="/cep">Buscar CEP</a> | <a routerLink="/todos/add">Add To Do</a>
  <div *ngIf="!(loggedUser$ | async); else userData">
    | <a routerLink="/login">Login</a> | <a routerLink="/signup">Sign Up</a>
  </div>
  <ng-template #userData>
    <div>
      Hi, {{ (loggedUser$ | async).email}}
      <br>
      <button (click)="logout()">Log Out</button>
    </div>
  </ng-template>
</div>
<!-- app.component.html: {{ valorAtual }}
<br>
<app-contador></app-contador> -->

<router-outlet></router-outlet>
